require "fipe/version"
require "active_resource"
require "active_support/core_ext"

module Fipe

  extend ActiveSupport::Autoload

  # Load spaces and autoloads
  root = Pathname.new(__FILE__).parent.parent

  root.join('lib', 'fipe', 'resources').each_child do |pathname|
    next if pathname.directory?
    model_name = pathname.basename('.rb').to_s
    Fipe.autoload model_name.classify.to_sym, pathname.to_s
  end

  # Configure default active resource settings
  class FipeResource < ActiveResource::Base
    self.site = "http://fipe.indefini.do"
  end

end
